export default (configuration) => {
    return `
    
    

    package com.manaknight.app.ui.fragments.chatui

    import Manaknight.R
    import Manaknight.databinding.FragmentFriendListBinding
    import Manaknight.databinding.FragmentRoomListBinding
    import android.os.Bundle
    import android.view.Menu
    import android.view.MenuInflater
    import android.view.View
    import androidx.core.os.bundleOf
    import androidx.fragment.app.Fragment
    import androidx.navigation.fragment.findNavController
    import androidx.recyclerview.widget.LinearLayoutManager
    import com.manaknight.app.adapters.ChatRoomAdapter
    import com.manaknight.app.adapters.FriendListAdapter
    import com.manaknight.app.data.loadAllUserData
    import com.manaknight.app.data.loadDataData
    import com.manaknight.app.data.local.AppPreferences
    import com.manaknight.app.extensions.viewBinding
    import com.manaknight.app.viewmodels.BaasViewModel
    import org.koin.android.ext.android.inject
    import org.koin.androidx.viewmodel.ext.android.viewModel
    
    class FriendListFragment : Fragment(R.layout.fragment_friend_list) {
    
        private val binding by viewBinding(FragmentFriendListBinding::bind)
        private val baasViewModel: BaasViewModel by viewModel()
        private val pref by inject<AppPreferences>()
        var userId = pref.userId
    
        private lateinit var adapterData: FriendListAdapter
    
        override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
            super.onViewCreated(view, savedInstanceState)
            // binding.icBack.setOnClickListener { findNavController().popBackStack() }
    
    
            val recyclerview637093b5 = binding.recyclerview637093b5
            adapterData = FriendListAdapter(emptyList())
            recyclerview637093b5.layoutManager = LinearLayoutManager(requireContext())
    
    
            loadAllUserData(viewLifecycleOwner, baasViewModel, userId!!, adapterData)
            recyclerview637093b5.adapter = adapterData
    
    
            adapterData.onItemClick = { singleUser ->
    
                val args = Bundle()
                args.putString("otherUserID", ""+singleUser.id)
    
    
                findNavController().navigate(R.id.action_to_room_Fragment, args)
            }
        }
    
    
        override fun onCreateOptionsMenu(menu: Menu, inflater: MenuInflater) {
    
            val inflater = inflater
        }
    }
    
    

      `;
  };